package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: IdentityBindSubmitByTrustedReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:30
 */
@Data
public class Nft014IdentityBindSubmitByTrustedResp implements Serializable {
    private String address;
    private static final Nft014IdentityBindSubmitByTrustedResp obj = new Nft014IdentityBindSubmitByTrustedResp();
    public static Nft014IdentityBindSubmitByTrustedResp getNew() {
        try {
            return (Nft014IdentityBindSubmitByTrustedResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft014IdentityBindSubmitByTrustedResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
